<?php
require_once 'core/sys.php';
include 'core/func_online.php';
require_once 'core/func_war.php';
include 'core/func_time.php';
reg();

$pers_id = int($_GET['ank']);
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='".$pers_id."' LIMIT 1"));
	if(!$ank){
	head('Профиль');
	echo '<div id="error">Такого пользователя не существует</div>';
	foot();
	exit;
	}
	if($user['id']==$pers_id){
	header('Location: my.php');
	exit;
	}
head('Персонаж '.$ank['login']);
		
		if(isset($_GET['clon']) and $user['admins']>0){
		echo '<div class="name">Возможные клоны <a href="pers.php?ank='.$ank['id'].'">'.$ank['login'].'</a></div>';
		$clon_q = mysql_query("SELECT `ip`,`id`,`login`,`reg_time`,`ua` FROM `users` WHERE `ip`='".$ank['ip']."' ORDER BY `id` DESC");
		while($clon = mysql_fetch_assoc($clon_q)){
		echo '<div class="row"><a href="pers.php?ank='.$clon['id'].'">'.$clon['login'].'</a>('.$clon['ua'].')<br>рега: '.clock($clon['reg_time']).'</div>';
		}
		foot();
		exit;
		}
		if(isset($_GET['pet'])){
		if($ank['pet_id']==0){
		echo '<div class="row">У этого игрока нет питомца</div>';
		foot();
		exit;
		}
		$pet = mysql_fetch_assoc(mysql_query("SELECT `name`,`hp`,`str`,`rubin` FROM `pets` WHERE `id`='".$ank['pet_id']."' LIMIT 1"));
		$pet_hp = $pet['hp']*$ank['pet_lvl'];
		$pet_str  = $pet['str']*$ank['pet_lvl'];
		echo '<div class="row"><img src="img/pets/'.$ank['pet_id'].'/'.$ank['pet_lvl'].'.png" alt=""> '.$pet['name'].'<br>
		Здоровье: + '.$pet_hp.'<br>
		Сила: '.$pet_str.'<br></div>';
		foot();
		exit;
		}
	if($user['admins']>0 and isset($_GET['mail']) and !empty($_GET['ank'])){
		if($_GET['ank']==1 AND $user['id'] !=1){
		echo '<div id="error">Почти получилось...</div>';
		foot();
		exit;
		}
	echo '<div class="name">Почта <a href="pers.php?ank='.$ank['login'].'">'.$ank['login'].'</a></div>';
	$total = mysql_result(mysql_query("SELECT COUNT(id) FROM `mail` WHERE `to_id`='".$pers_id."' OR `from_id`='".$pers_id."'"),0);
		if($total == 0){
		echo '<div class="row">Пусто :)</div>';
		foot();
		exit;
		}
	$mail_q = mysql_query("SELECT * FROM `mail` WHERE `to_id`='".$pers_id."' OR `from_id`='".$pers_id."' ORDER BY `time` DESC LIMIT ".$page.",".$set['str']." ");
		while($mail= mysql_fetch_assoc($mail_q)){
		$us = mysql_fetch_assoc(mysql_query("SELECT `id`,`login` FROM `users` WHERE `id`='".$mail['from_id']."'"));
		if($mail['from_id']==1 and $user['id']!=1){
		echo '<div class="row">Сообщение админа ;)</div>';
		}else{
		echo '<div class="row"><a href="pers.php?ank='.$us['id'].'">'.$us['login'].'</a><small>['.clock($mail['time']).']</small><br>
		'.$mail['text'].'</div>';
		}
	}
		if($total > $set['str'])
	{
		pages($page, $total, 'pers.php?ank='.$pers_id.'&amp;mail&amp;', $set['str']);
	}
	
	foot();
	exit;
	}
	if($user['admins']>0 and isset($_GET['ban']) and !empty($_GET['ank'])){
		if($ank['ban']==1){
		echo '<div id="error">Пользователь уже заблокирован</div>';
		foot();
		exit;
		}
		if($ank['id']==1){
		echo '<div class="row">:)</div>';
		foot();
		exit;
		}
	$why_ban = protect($_POST['why_ban']);
	if(empty($_POST['why_ban'])){
	echo '<div class="row"><form action="pers.php?ank='.$pers_id.'&ban" method="post">
	Причина блокировки:<br>
	<textarea name="why_ban"></textarea>
	<input type="submit" value="Блок">
	</form></div>';
	}else{
	echo '<div id="ok">Пользователь успешно заблокирован!</div>';
	mysql_query("UPDATE `users` SET `ban`=1,`ban_why`='".$why_ban."' WHERE `id`='".$pers_id."'");
	mysql_query("INSERT INTO `admin_log` SET 
	`text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> заблокировал для входа в игру <a href=\"pers.php?ank=".$ank['id']."\">".$ank['login']."</a>. Причина: <b>".$why_ban."</b>',
	`time`='".time()."'");
	mysql_query("INSERT INTO `chat` SET 
	`user_id`='".$user['id']."',
	`text`='<b>".$ank['login']."</b> заблокирован для входа в игру. Причина: <b>".$why_ban."</b>',
	`time`='".time()."'");
	}
	foot();
	exit;
	}
	
if(isset($_GET['ohrana']) and isset($_GET['ank'])and !empty($_GET['ank'])){
include 'inc/pers_ohrana.php';
foot();
exit;
}
///////////////////////////
	/* Cкладываем предметы */
	if($user['id']==1){
require_once 'inc/ank_item.php';
$arm2 = 0;
$arm2 = $arm2+$armor2['defense']+$helmet2['defense']+$shoes2['defense']+$gloves2['defense'];
	
$defense_ank = $ank['defense']+$arm2;
	/* Считаем оружие */
$weapon_ank = $ank['strength']+$weapon2['strength'];
}
$pers = mysql_fetch_assoc(mysql_query("SELECT `name` FROM `pers` WHERE `id`='".$ank['pers']."'"));

///////////////////////
	if($user['admins']>0){
	if(empty($ank['ip'])){
	$ank['ip']=='пусто';
	}
	echo '<div class="name">
	IP: <a href="http://astranar.ru/ip_info?ip='.$ank['ip'].'"><span class="login">'.$ank['ip'].'</span></a><a href="http://ipgeobase.ru/?address='.$ank['ip'].'">*</a>(<a href="pers.php?ank='.$ank['id'].'&amp;clon">клоны</a>)<br>
	<a href="pers.php?ank='.$pers_id.'&amp;ban">Заблокировать</a><br>
	<a href="pers.php?ank='.$pers_id.'&amp;mail">Прочесть почту</a><br>';	
		if($user['id']==1){
		
		echo '<a href="admins.php?ank='.$pers_id.'&amp;money_pers">Изменить счет</a><br>
		<form action="admins.php?admins='.$pers_id.'" method="post">
			<select name="user_admins">
			<option value="0">Пользователь</option>
			<option value="1">Админ</option>
			</select>
			<input type="submit" value="Назначить">
			</form>';
		}
	echo '</div>';
	}
	
if($ank['ban']==1){
echo '<div id="error">Аккаунт заблокирован.<br>
Причина: <b>'.$ank['ban_why'].'</b></div>';
}
$ank_admin = '';
if($ank['admins']>0){
$ank_admin = '(<span style="color: #88b775; font-weight: bold;">Администратор</span>)';
}
if($ank['id']==1){
$ank_admin = '(<span style="color: #88b775; font-weight: bold;">Создатель</span>)';
}
		if(empty($ank['status'])){
	$ank['status']= '.....';
	}
echo '<div class="name">Персонаж <b>'.$ank['login'].'</b> '.$ank_admin.' '.online($ank['id']).'<br></div>';
echo '<div class="row" id="pers">
<div class="status">'.$ank['status'].'<span class="arrow"></span></div><br><br>
<img src="img/pers/'.$ank['pers'].'.png" alt="Персонаж">';
include 'inc/ank_item.php';
	if($ank['weapon']>0){
	echo '<img src="'.$weapon2['img'].'"><br>';
	}
	if($ank['armor']>0){
	echo '<img src="'.$armor2['img'].'"> ';
	}
	if($ank['helmet']>0){
	echo '<img src="'.$helmet2['img'].'"> ';
	}
	if($ank['shoes']>0){
	echo '<img src="'.$shoes2['img'].'"> ';
	}
	if($ank['gloves']>0){
	echo '<img src="'.$gloves2['img'].'"> ';
	}
	if($ank['amulet']>0){
	echo '<img src="'.$amulet2['img'].'"> ';
	}
echo '</div>';


if($ank['virus']>0){
$virus = mysql_fetch_assoc(mysql_query("SELECT `name`,`img`,`virus` FROM `inventory` WHERE `id`='".$ank['virus']."'"));
echo '<div class="name">Заражен вирусом: <img src="'.$virus['img'].'" alt=""><br>Реген. HP -'.$virus['virus'].'<br></div>';
}else{
echo '<div class="name"><img src="img/other/virus.png"> <a href="virus.php?ank='.$ank['id'].'">Заразить</a><br></div>';
}
$time_vor = $ank['vor_time'] + (60*60*24);
	if(time() > $time_vor){
echo '<div class="name"><img src="img/other/steal.png"> <a href="vor.php?ank='.$ank['id'].'">Обворовать</a><br></div>';
	}
	if($ank['pet_id']>0){
echo '<div class="name"><img src="img/other/pat.png"> <a href="pers.php?ank='.$ank['id'].'&amp;pet">Питомец</a><br></div>';
}
	$clan_komand = mysql_fetch_assoc(mysql_query("SELECT `komandir`,`id` FROM `clan` WHERE `komandir`='".$user['id']."'"));
	if($clan_komand and $ank['clan']==0){
	echo '<div class="name"><img src="img/other/to_clan.png" alt=""><a href="clan.php?invite&amp;ank='.$ank['id'].'"> Пригласить в клан</a></div>';
	}
echo '<div class="name"><img src="img/other/mail.png" alt=""><a href="mail.php?ank='.$ank['id'].'"> Отправить письмо</a></div>';

$loc = mysql_fetch_assoc(mysql_query("SELECT `id`,`name` FROM `room` WHERE `id`='".$ank['in_loc']."' LIMIT 1"));
	if($ank['clan']>0){
	$clan_name = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan` WHERE `id`='".$ank['clan']."' LIMIT 1"));
	$rang = mysql_fetch_assoc(mysql_query("SELECT * FROM `clan_rang` WHERE `oput2`>='".$ank['clan_oput']."' ORDER BY `id` LIMIT 1"));
	$clan = 'Состоит в клане: <img src="img/clan/'.$ank['clan'].'.'.$clan_name['img'].'" width="20" height="20" alt=""> <a href="clan.php?clan='.$ank['clan'].'">'.$clan_name['name'].'</a> ['.$clan_name['level'].'] <img src="img/rang/'.$rang['id'].'.jpg"><br>';
	}else{
	$clan='';
	}
	/* подарки */
$present_c= mysql_result(mysql_query("SELECT COUNT(id) FROM `presents_user` WHERE `to_id`='".$ank['id']."'"),0);
	if($present_c>0){
	echo '<div class="row" id="center">';
	$present_q = mysql_query("SELECT `present_id` FROM `presents_user` WHERE `to_id`='".$ank['id']."' ORDER BY `time` DESC LIMIT 4");
		while($present = mysql_fetch_assoc($present_q)){
		echo '<a href="presents.php?view&ank='.$pers_id.'"><img src="img/presents/present'.$present['present_id'].'.png"></a>';
		}
	echo '</div>';
	}
	#############
echo '<div class="row">
Местонахождение: <a href="war.php?id='.$loc['id'].'">'.$loc['name'].'</a><br>
'.$clan;
	if($ank['aura_vamp']==0 and $ank['dnk_oboroten']==0 and $ank['dnk_roso']==0){
	echo 'Обновленные ДНК: нет<br>';
	}else{
	echo 'Обновленные ДНК: ';
		if($ank['aura_vamp']>0){
		echo '<img src="img/other/aura_vamp.png" width="16" height="16"> ';
		}
		if($ank['dnk_oboroten']>0){
		echo '<img src="img/other/dnk_oboroten.png" width="16" height="16"> ';
		}
		if($ank['dnk_roso']>0){
		echo '<img src="img/other/dnk_roso.png" width="16" height="16"> ';
		}
		echo '<br>';
	}
$crit_ank= round($ank['level']/3.75,2);
echo 'Здоровье: <font color="#FF6738">'.$ank['health'].'</font>/<font color="#FF6738">'.$ank['max_health'].'</font><br>
Мана: <font color="#007FFF">'.$ank['mana'].'</font>/<font color="#007FFF">'.$ank['max_mana'].'</font><br>
Уровень: '.$ank['level'].'<br>
Опыт: '.$ank['oput'].'<br>
Побед: '.$ank['win'].'<br> 
Поражений: '.$ank['not_win'].'<br> 
Критический удар: '.$crit_ank.'%<br>';
	if($user['id']==1){
echo 'Сила: '.$weapon_ank.'<br>
Защита: '.$defense_ank.'<br>
Атака: '.uron($weapon_ank).'-'.rand_uron($weapon_ank).'<br>';
}
echo 'Золото: <img src="img/money/money.png" alt=""> '.$ank['money'].'<br>
Рубины: <img src="img/money/rubin.png" alt=""> '.$ank['rubin'].'<br></div>';
echo '<div class="name">
В игре: '.Sec2Time($ank['in_game']).'<br>
Последняя активность: '.clock($ank['time']).'<br>
Дата регистрации: '.clock($ank['reg_time']).'<br>
</div>';
echo '<div class="name">';
if($ank['id'] != $user['id'] and $ank['id'] != $user['ohrana']){
$money_ohrana = 1000*$ank['level'];
echo '<a href="pers.php?ohrana&amp;ank='.$ank['id'].'">Нанять в охранники за </a> <img src="img/money/money.png" alt=""> '.$money_ohrana.'<br>';
}
echo '<a href="perevod.php?ank='.$ank['id'].'">Отправить золото</a></div>';

foot();
?>